-- MySQL dump 10.13  Distrib 5.5.44, for debian-linux-gnu (i686)
--
-- Host: localhost    Database: ardi
-- ------------------------------------------------------
-- Server version	5.5.44-0ubuntu0.14.10.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `alerts`
--

DROP TABLE IF EXISTS `alerts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alerts` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `assetid` bigint(20) NOT NULL,
  `name` varchar(60) NOT NULL,
  `relationship` bigint(20) NOT NULL,
  `description` varchar(128) NOT NULL,
  `media` bigint(20) NOT NULL,
  `state` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `assetid` (`assetid`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alerts`
--

LOCK TABLES `alerts` WRITE;
/*!40000 ALTER TABLE `alerts` DISABLE KEYS */;
/*!40000 ALTER TABLE `alerts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `artags`
--

DROP TABLE IF EXISTS `artags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `artags` (
  `id` int(11) NOT NULL,
  `area` varchar(40) NOT NULL,
  `location` varchar(64) NOT NULL,
  PRIMARY KEY (`id`,`area`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `artags`
--

LOCK TABLES `artags` WRITE;
/*!40000 ALTER TABLE `artags` DISABLE KEYS */;
/*!40000 ALTER TABLE `artags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assetreferences`
--

DROP TABLE IF EXISTS `assetreferences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assetreferences` (
  `parentasset` bigint(20) NOT NULL,
  `childasset` bigint(20) NOT NULL,
  `childproperty` bigint(20) NOT NULL,
  PRIMARY KEY (`parentasset`,`childasset`,`childproperty`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assetreferences`
--

LOCK TABLES `assetreferences` WRITE;
/*!40000 ALTER TABLE `assetreferences` DISABLE KEYS */;
INSERT INTO `assetreferences` VALUES (8,20,20);
/*!40000 ALTER TABLE `assetreferences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assetrelationships`
--

DROP TABLE IF EXISTS `assetrelationships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assetrelationships` (
  `parentasset` bigint(20) NOT NULL,
  `childasset` bigint(20) NOT NULL,
  `relationship` bigint(20) NOT NULL,
  PRIMARY KEY (`parentasset`,`childasset`,`relationship`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assetrelationships`
--

LOCK TABLES `assetrelationships` WRITE;
/*!40000 ALTER TABLE `assetrelationships` DISABLE KEYS */;
INSERT INTO `assetrelationships` VALUES (1,5,2),(2,5,1),(3,6,3),(3,15,3),(3,18,3),(3,37,3),(5,7,2),(5,9,2),(5,10,2),(5,14,1),(6,40,3),(7,21,2),(9,11,2),(15,16,3),(15,17,3),(18,19,3),(21,22,2),(22,23,2),(23,24,2),(23,25,2),(24,26,2),(24,27,2),(25,28,2),(25,29,2),(25,30,2),(25,31,2),(25,32,2),(25,33,2),(25,34,2),(25,35,2),(25,36,2),(25,40,2),(26,28,15),(27,28,15),(28,29,15),(29,30,15),(30,31,15),(30,35,13),(31,32,15),(33,34,13),(34,30,13),(35,36,13),(36,35,6),(36,40,13),(37,38,3),(37,39,3),(38,24,3),(38,26,3),(38,27,3),(38,28,3),(38,29,3),(38,30,3),(38,31,3),(38,32,3),(39,30,3),(39,33,3),(39,34,3),(39,35,3),(39,36,3),(39,40,3),(40,35,6);
/*!40000 ALTER TABLE `assetrelationships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assetrelclosures`
--

DROP TABLE IF EXISTS `assetrelclosures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assetrelclosures` (
  `parentasset` bigint(20) NOT NULL,
  `childasset` bigint(20) NOT NULL,
  `depth` int(11) NOT NULL,
  `relationship` bigint(20) NOT NULL,
  PRIMARY KEY (`parentasset`,`childasset`,`depth`,`relationship`),
  KEY `childasset` (`childasset`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assetrelclosures`
--

LOCK TABLES `assetrelclosures` WRITE;
/*!40000 ALTER TABLE `assetrelclosures` DISABLE KEYS */;
INSERT INTO `assetrelclosures` VALUES (1,5,0,2),(2,5,0,1),(3,6,1,3),(1,7,0,2),(5,7,1,2),(1,9,0,2),(5,9,1,2),(1,10,0,2),(5,10,1,2),(1,11,0,2),(5,11,1,2),(9,11,2,2),(2,14,0,1),(5,14,1,1),(3,15,1,3),(3,16,1,3),(15,16,2,3),(3,17,1,3),(15,17,2,3),(3,18,1,3),(3,19,1,3),(18,19,2,3),(1,21,0,2),(5,21,1,2),(7,21,2,2),(1,22,0,2),(5,22,1,2),(7,22,2,2),(21,22,3,2),(1,23,0,2),(5,23,1,2),(7,23,2,2),(21,23,3,2),(22,23,4,2),(1,24,0,2),(3,24,0,3),(5,24,1,2),(7,24,2,2),(21,24,3,2),(22,24,4,2),(23,24,5,2),(24,24,3,3),(37,24,1,3),(38,24,2,3),(1,25,0,2),(5,25,1,2),(7,25,2,2),(21,25,3,2),(22,25,4,2),(23,25,5,2),(1,26,0,2),(3,26,0,3),(5,26,1,2),(7,26,2,2),(21,26,3,2),(22,26,4,2),(23,26,5,2),(24,26,6,2),(26,26,3,3),(37,26,1,3),(38,26,2,3),(1,27,0,2),(3,27,0,3),(5,27,1,2),(7,27,2,2),(21,27,3,2),(22,27,4,2),(23,27,5,2),(24,27,6,2),(27,27,3,3),(37,27,1,3),(38,27,2,3),(1,28,0,2),(3,28,0,3),(5,28,1,2),(7,28,2,2),(21,28,3,2),(22,28,4,2),(23,28,5,2),(25,28,6,2),(26,28,1,15),(27,28,1,15),(28,28,3,3),(37,28,1,3),(38,28,2,3),(1,29,0,2),(3,29,0,3),(5,29,1,2),(7,29,2,2),(21,29,3,2),(22,29,4,2),(23,29,5,2),(25,29,6,2),(26,29,1,15),(27,29,1,15),(28,29,2,15),(29,29,3,3),(37,29,1,3),(38,29,2,3),(1,30,0,2),(3,30,1,3),(5,30,1,2),(7,30,2,2),(21,30,3,2),(22,30,4,2),(23,30,5,2),(25,30,6,2),(26,30,1,15),(27,30,1,15),(28,30,2,15),(29,30,3,15),(30,30,4,3),(33,30,1,13),(34,30,2,13),(37,30,2,3),(38,30,3,3),(39,30,0,3),(1,31,0,2),(3,31,0,3),(5,31,1,2),(7,31,2,2),(21,31,3,2),(22,31,4,2),(23,31,5,2),(25,31,6,2),(26,31,1,15),(27,31,1,15),(28,31,2,15),(29,31,3,15),(30,31,4,15),(31,31,3,3),(37,31,1,3),(38,31,2,3),(1,32,0,2),(3,32,0,3),(5,32,1,2),(7,32,2,2),(21,32,3,2),(22,32,4,2),(23,32,5,2),(25,32,6,2),(26,32,1,15),(27,32,1,15),(28,32,2,15),(29,32,3,15),(30,32,4,15),(31,32,5,15),(32,32,3,3),(37,32,1,3),(38,32,2,3),(1,33,0,2),(3,33,0,3),(5,33,1,2),(7,33,2,2),(21,33,3,2),(22,33,4,2),(23,33,5,2),(25,33,6,2),(33,33,3,3),(37,33,1,3),(39,33,2,3),(1,34,0,2),(3,34,0,3),(5,34,1,2),(7,34,2,2),(21,34,3,2),(22,34,4,2),(23,34,5,2),(25,34,6,2),(33,34,1,13),(34,34,3,3),(37,34,1,3),(39,34,2,3),(1,35,0,2),(3,35,0,3),(5,35,1,2),(7,35,2,2),(21,35,3,2),(22,35,4,2),(23,35,5,2),(25,35,6,2),(30,35,1,13),(33,35,1,13),(35,35,3,3),(36,35,1,6),(37,35,1,3),(39,35,2,3),(40,35,1,6),(1,36,0,2),(3,36,0,3),(5,36,1,2),(7,36,2,2),(21,36,3,2),(22,36,4,2),(23,36,5,2),(25,36,6,2),(30,36,1,13),(33,36,1,13),(35,36,2,13),(36,36,3,3),(37,36,1,3),(39,36,2,3),(3,37,1,3),(3,38,1,3),(37,38,2,3),(3,39,1,3),(37,39,2,3),(1,40,0,2),(3,40,2,3),(5,40,1,2),(6,40,3,3),(7,40,2,2),(21,40,3,2),(22,40,4,2),(23,40,5,2),(25,40,6,2),(30,40,1,13),(33,40,1,13),(35,40,2,13),(36,40,3,13),(37,40,0,3),(39,40,1,3),(40,40,4,3);
/*!40000 ALTER TABLE `assetrelclosures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assets`
--

DROP TABLE IF EXISTS `assets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assets` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(120) NOT NULL,
  `descript` text NOT NULL,
  `type` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assets`
--

LOCK TABLES `assets` WRITE;
/*!40000 ALTER TABLE `assets` DISABLE KEYS */;
INSERT INTO `assets` VALUES (1,'Location','The basepoint of your Location heirachy',2),(2,'IEC','The basepoint of your IEC heirachy',2),(3,'Tags','The basepoint of the Tagging hierarchy',2),(5,'Tumut 3','This power station is located in Talbingo, near Tumut NSW',0),(6,'Sensor','',1),(7,'Generation Units','Contains each of the generator units',0),(9,'Server Room','',0),(10,'Transformer Bay','Contains the main transformers, located at the rear of the building.',0),(11,'PI Historian','',0),(14,'Power Generators','',0),(15,'Interior','',1),(16,'Bussbar Floor','',1),(17,'Generator Floor','',1),(18,'Special','',1),(19,'Perspective','',1),(21,'Unit #1','',0),(22,'Generator','',0),(23,'Thrust Bearing Lubrication System','',0),(24,'Pumps','',0),(25,'Cooling','',0),(26,'Oil Pump A','',0),(27,'Oil Pump B','',0),(28,'Oil Inlet','',0),(29,'Oil Inlet Temp Sensor','',0),(30,'Heat Exchanger','',0),(31,'Oil Outlet','',0),(32,'Oil Outlet Temp Sensor','',0),(33,'Water Inlet','',0),(34,'Water Inlet Temp Sensor','',0),(35,'Water Outlet','',0),(36,'Water Outlet Temp Sensor','',0),(37,'SPOT System','',1),(38,'Turbine','',1),(39,'Cooling Water','',1),(40,'Water Outlet Flow Meter','Measures the outlet water flow from the oil cooling system.',0);
/*!40000 ALTER TABLE `assets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `assetvalues`
--

DROP TABLE IF EXISTS `assetvalues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `assetvalues` (
  `assetid` int(11) NOT NULL,
  `propertyid` int(11) NOT NULL,
  `value` varchar(120) NOT NULL,
  PRIMARY KEY (`assetid`,`propertyid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `assetvalues`
--

LOCK TABLES `assetvalues` WRITE;
/*!40000 ALTER TABLE `assetvalues` DISABLE KEYS */;
INSERT INTO `assetvalues` VALUES (5,3,'Tumut 3 Power Station, Murray Jackson Dr, Talbingo NSW 2720, Australia'),(24,12,'0'),(25,12,'1'),(26,2,'88QLa'),(26,12,'2'),(26,28,'0|A|0|50|0'),(26,29,'0|%|0|100|0'),(26,30,'Array|hrs|0|0|2|hrs'),(26,31,'Units'),(27,2,'88QLb'),(27,12,'3'),(27,28,'0|A|0|50|0'),(27,29,'0|%|0|100|0'),(27,30,'Array|hrs|0|0|2|hrs'),(27,31,'Units'),(29,2,'26QLc'),(29,25,'0|Deg C|0|200|0'),(32,2,'26QLd'),(32,25,'0|Deg C|0|200|0'),(34,2,'26QLc'),(34,26,'0|Deg C|0|200|0'),(36,2,'26QLd'),(36,26,'0|Deg C|0|200|0'),(38,24,'https://sites.google.com/a/snowyhydro.com.au/equipment-spot/tumut-generation/t3-power-station/t3-groups/units/turbine'),(39,24,'https://sites.google.com/a/snowyhydro.com.au/equipment-spot/tumut-generation/t3-power-station/t3-groups/units/t3-cooling'),(40,2,'63CWc'),(40,12,'7'),(40,27,'25|L/min|0|100|1');
/*!40000 ALTER TABLE `assetvalues` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `connections`
--

DROP TABLE IF EXISTS `connections`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `connections` (
  `fromasset` bigint(20) NOT NULL,
  `toasset` bigint(20) NOT NULL,
  `startpoint` varchar(32) NOT NULL,
  `endpoint` varchar(32) NOT NULL,
  `points` varchar(255) NOT NULL,
  `style` int(11) NOT NULL,
  `options` varchar(80) NOT NULL,
  PRIMARY KEY (`fromasset`,`toasset`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `connections`
--

LOCK TABLES `connections` WRITE;
/*!40000 ALTER TABLE `connections` DISABLE KEYS */;
/*!40000 ALTER TABLE `connections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `datadriver`
--

DROP TABLE IF EXISTS `datadriver`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datadriver` (
  `port` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL,
  `driver` varchar(60) NOT NULL,
  `address` varchar(80) NOT NULL,
  `mode` smallint(6) NOT NULL,
  PRIMARY KEY (`port`)
) ENGINE=InnoDB AUTO_INCREMENT=9559 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `datadriver`
--

LOCK TABLES `datadriver` WRITE;
/*!40000 ALTER TABLE `datadriver` DISABLE KEYS */;
INSERT INTO `datadriver` VALUES (9557,'PI Live','rnd','localhost',0),(9558,'PI Historian','rnd','localhost',1);
/*!40000 ALTER TABLE `datadriver` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `datalinks`
--

DROP TABLE IF EXISTS `datalinks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datalinks` (
  `sourceid` bigint(20) NOT NULL,
  `assetid` bigint(20) NOT NULL,
  `propertyid` bigint(20) NOT NULL,
  `node` varchar(40) NOT NULL,
  `profile` int(11) NOT NULL,
  `mode` smallint(6) NOT NULL,
  `address` varchar(255) NOT NULL,
  `transform` varchar(255) NOT NULL,
  `lastupdate` datetime NOT NULL,
  `frequency` int(11) NOT NULL,
  `lastvalue` varchar(60) NOT NULL,
  `updaterequired` int(11) NOT NULL,
  PRIMARY KEY (`assetid`,`sourceid`,`propertyid`,`node`,`profile`,`mode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `datalinks`
--

LOCK TABLES `datalinks` WRITE;
/*!40000 ALTER TABLE `datalinks` DISABLE KEYS */;
INSERT INTO `datalinks` VALUES (11,26,28,'measurement',1,0,'TLGB OIL PUMP A AMPS','','2016-01-27 01:58:44',0,'43.1693145033',1),(11,26,28,'measurement',1,1,'TLGB OIL PUMP A AMPS','','2016-01-27 01:58:44',0,'43.1693145033',1),(11,26,29,'measurement',1,0,'TLGB OIL PUMP A TOL','','2016-01-27 01:58:44',0,'10.8413686073',1),(11,26,29,'measurement',1,1,'TLGB OIL PUMP A TOL','','2016-01-27 01:58:44',0,'10.8413686073',1),(11,26,30,'measurement',1,0,'TLGB OIL PUMP A RUN HRS','','2016-01-27 01:58:44',0,'98.6779331118',1),(11,26,30,'measurement',1,1,'TLGB OIL PUMP A RUN HRS','','2016-01-27 01:58:44',0,'98.6779331118',1),(11,26,31,'measurement',1,0,'TLGB OIL PUMP A STARTS','','2016-01-27 01:58:44',0,'80.7762186461',1),(11,26,31,'measurement',1,1,'TLGB OIL PUMP A STARTS','','2016-01-27 01:58:44',0,'80.7762186461',1),(11,27,28,'measurement',1,0,'TLGB OIL PUMP B AMPS','','2016-01-27 01:58:44',0,'16.6107374207',1),(11,27,28,'measurement',1,1,'TLGB OIL PUMP B AMPS','','2016-01-27 01:58:44',0,'16.6107374207',1),(11,27,29,'measurement',1,0,'TLGB OIL PUMP B TOL','','2016-01-27 01:58:44',0,'29.4526027415',1),(11,27,29,'measurement',1,1,'TLGB OIL PUMP B TOL','','2016-01-27 01:58:44',0,'29.4526027415',1),(11,27,30,'measurement',1,0,'TLGB OIL PUMP B RUN HRS','','2016-01-27 01:58:44',0,'84.7502487934',1),(11,27,30,'measurement',1,1,'TLGB OIL PUMP B RUN HRS','','2016-01-27 01:58:44',0,'84.7502487934',1),(11,27,31,'measurement',1,0,'TLGB OIL PUMP B STARTS','','2016-01-27 01:58:44',0,'97.0109320134',1),(11,27,31,'measurement',1,1,'TLGB OIL PUMP B STARTS','','2016-01-27 01:58:44',0,'97.0109320134',1),(11,29,25,'measurement',1,0,'TLGB HEX OIL IN TEMP','','2016-01-27 01:58:44',0,'34.8915903008',1),(11,29,25,'measurement',1,1,'TLGB HEX OIL IN TEMP','','2016-01-27 01:58:44',0,'34.8915903008',1),(11,32,25,'measurement',1,0,'TLGB HEX OIL OUT TEMP','','2016-01-27 01:58:44',0,'13.0224697599',1),(11,32,25,'measurement',1,1,'TLGB HEX OIL OUT TEMP','','2016-01-27 01:58:44',0,'13.0224697599',1),(11,34,26,'measurement',1,0,'TLGB HEX OIL IN TEMP','','2016-01-27 01:58:44',0,'88.9453998811',1),(11,34,26,'measurement',1,1,'TLGB HEX OIL IN TEMP','','2016-01-27 01:58:44',0,'88.9453998811',1),(11,36,26,'measurement',1,0,'TLGB HEX OIL OUT TEMP','','2016-01-27 01:58:44',0,'64.7777970967',1),(11,36,26,'measurement',1,1,'TLGB HEX OIL OUT TEMP','','2016-01-27 01:58:44',0,'64.7777970967',1);
/*!40000 ALTER TABLE `datalinks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `datasources`
--

DROP TABLE IF EXISTS `datasources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `datasources` (
  `assetid` bigint(20) NOT NULL,
  `driver` varchar(60) NOT NULL,
  `address` varchar(120) NOT NULL,
  `lastwd` datetime NOT NULL,
  `gatewayport` int(11) NOT NULL,
  `mode` int(11) NOT NULL DEFAULT '0',
  `profile` int(11) NOT NULL DEFAULT '1',
  `samplerate` int(11) NOT NULL DEFAULT '30',
  PRIMARY KEY (`assetid`,`profile`,`mode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `datasources`
--

LOCK TABLES `datasources` WRITE;
/*!40000 ALTER TABLE `datasources` DISABLE KEYS */;
INSERT INTO `datasources` VALUES (11,'rnd','piwebservices.snowyhydro.com.au','0000-00-00 00:00:00',9557,0,1,2),(11,'rnd','http://piwebservices.snowyhydro.com.au','0000-00-00 00:00:00',9558,1,1,30);
/*!40000 ALTER TABLE `datasources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `links`
--

DROP TABLE IF EXISTS `links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `links` (
  `relationshipid` int(11) NOT NULL,
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `anchor` varchar(32) NOT NULL,
  `pos` varchar(32) NOT NULL,
  `nextid` bigint(20) NOT NULL,
  `previd` bigint(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `links`
--

LOCK TABLES `links` WRITE;
/*!40000 ALTER TABLE `links` DISABLE KEYS */;
/*!40000 ALTER TABLE `links` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mediafiles`
--

DROP TABLE IF EXISTS `mediafiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mediafiles` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL,
  `category` varchar(60) NOT NULL,
  `path` varchar(120) NOT NULL,
  `mediatype` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mediafiles`
--

LOCK TABLES `mediafiles` WRITE;
/*!40000 ALTER TABLE `mediafiles` DISABLE KEYS */;
/*!40000 ALTER TABLE `mediafiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mediatags`
--

DROP TABLE IF EXISTS `mediatags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mediatags` (
  `mediaid` bigint(20) NOT NULL,
  `assetid` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mediatags`
--

LOCK TABLES `mediatags` WRITE;
/*!40000 ALTER TABLE `mediatags` DISABLE KEYS */;
/*!40000 ALTER TABLE `mediatags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `models`
--

DROP TABLE IF EXISTS `models`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `models` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `category` varchar(60) NOT NULL,
  `type` varchar(80) NOT NULL,
  `style` varchar(80) NOT NULL,
  `model` varchar(80) NOT NULL,
  `obj` varchar(80) NOT NULL,
  `jpg` varchar(80) NOT NULL,
  `svgfile` varchar(60) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Uniquness` (`type`,`style`,`model`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `models`
--

LOCK TABLES `models` WRITE;
/*!40000 ALTER TABLE `models` DISABLE KEYS */;
INSERT INTO `models` VALUES (1,'Piping & Valving','Accumulator/Receiver','Generic','Hydraulic','/media/models/receiver/Hydraulic Receiver.obj','','/media/models/receiver/receiver.svg'),(2,'Instruments','Flow','Magnetic','Wafer Mount','','',''),(3,'Instruments','Pressure','Transmitter','Body Mounted','/media/models/ptx/EJXBasic.obj','',''),(4,'Instruments','Pressure','Transmitter','Direct Mounted','/media/models/ptx/EJXBasic.obj','',''),(5,'Piping & Valving','Isolation Valve','Right Angle','Wheeled','/media/models/isovalve/rightangle/wheeled/object.obj','','\\media\\models\\isovalve\\isovalve.svg'),(6,'Piping & Valving','Isolation Valve','Manifold','3 Valve','/media/models/isovalve/manifold/3port.obj','','\\media\\models\\isovalve\\isovalve.svg'),(7,'Piping & Valving','Isolation Valve','Manifold','2 Valve','/media/models/isovalve/manifold/2port.obj','','\\media\\models\\isovalve\\isovalve.svg'),(8,'Piping & Valving','Isolation Valve','Manifold','3 Valve (Angled)','/media/models/isovalve/manifold/3portangled.obj','','\\media\\models\\isovalve\\isovalve.svg'),(9,'Piping & Valving','Hydraulic','Pump','Flange-Mounted','/media/models/pump/hydro/onflange.obj','','\\media\\models\\pump\\pump.svg'),(10,'DIN-Rail Equipment','Power Supplies','Small','Raised Front','/media/models/din/supplies/small.obj','',''),(11,'DIN-Rail Equipment','Remote IO','Modular','Quarter Full','/media/models/din/modular/quarterfull.obj','',''),(12,'HVAC','Controllers','Control Panel','Small Wall Plate','/media/models/hvac/panel.obj','',''),(13,'Enclosures','Wall Mount','Shallow','Wide','/media/models/enclosure/widethin.obj','',''),(14,'Network','Network Switch','Rack-Mount','Ethernet','/media/models/network/switch.obj','',''),(15,'Instruments','Temperature','Transmitter','Insertion - M12','/media/models/sensor/temp/insert/m12.obj','',''),(16,'Power','Wall Mounted','Household Socket','Double','/media/models/power/sockets/wallsocket.obj','',''),(17,'Symbols','Shapes','Simple','Sphere','/media/models/primitives/sphere.obj','',''),(18,'Symbols','Shapes','Simple','Cube','/media/models/primitives/cube.obj','',''),(19,'Panel-Mount Equipment','Meter','Power Meter','Thin Bezel','/media/models/panelmount/thinbezeldisplay.obj','',''),(20,'DIN-Rail Equipment','Switches','Isolators','Raised Front','/media/models/din/relays/switch.obj','',''),(21,'Household','Kitchen','Dishwasher','Standard','/media/models/household/kitchen/dishwasher.obj','',''),(22,'Enclosures','Wall Mount','Square','Basic','/media/models/enclosure/simplesquare.obj','',''),(23,'Panel-Mount Equipment','Electrical','Isolators','Basic Rotary','/media/models/panelmount/electrical/isolators/basicrotary.obj','',''),(24,'Panel-Mount Equipment','Panel-Mount Equipment','Isolators','Basic Rotary with Base','/media/models/panelmount/electrical/isolators/basicrotarybase.obj','',''),(25,'HVAC','Air Conditioning','Outdoor','Small','/media/models/hvac/outdoorunit.obj','',''),(26,'Symbols','Shapes','People','Basic','/media/models/primitives/human.obj','',''),(27,'Symbols','Shapes','People','High Quality','/media/models/primitives/human_hq.obj','',''),(28,'Network','Wi-Fi','Access Point','Subtle','/media/models/network/unifiap.obj','','');
/*!40000 ALTER TABLE `models` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modelskins`
--

DROP TABLE IF EXISTS `modelskins`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `modelskins` (
  `modelid` bigint(20) NOT NULL,
  `name` varchar(48) NOT NULL,
  `skinid` bigint(20) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`skinid`),
  UNIQUE KEY `modelid` (`modelid`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modelskins`
--

LOCK TABLES `modelskins` WRITE;
/*!40000 ALTER TABLE `modelskins` DISABLE KEYS */;
INSERT INTO `modelskins` VALUES (0,'Painted - Gloss',4),(0,'Painted - Matt',2),(0,'Painted - Semi-Gloss',3),(0,'Stainless - Bright',6),(0,'Stainless - Rough',5),(5,'Striped Steel',1),(10,'Weidmuller Power Supply',11),(12,'Accent Air',7),(15,'Plastic Base, Metal Sensor',8),(16,'Double Wall Socket',9),(16,'Single Wall Socket',10),(19,'Janitza UMG96RM Power Monitor',12),(20,'Schneider 3-Terminal Circuit Breaker',17),(21,'Coloured',14),(21,'Stainless Steel',13),(22,'Brushed Aluminium/Steel',15),(22,'Painted Metal',16),(23,'Red Indicator',18),(25,'Mitsubishi Basic Unit',19);
/*!40000 ALTER TABLE `modelskins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `module_zeroenergy`
--

DROP TABLE IF EXISTS `module_zeroenergy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `module_zeroenergy` (
  `propertyid` bigint(20) NOT NULL,
  `enabled` int(11) NOT NULL,
  `threshold` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `module_zeroenergy`
--

LOCK TABLES `module_zeroenergy` WRITE;
/*!40000 ALTER TABLE `module_zeroenergy` DISABLE KEYS */;
/*!40000 ALTER TABLE `module_zeroenergy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profiles`
--

DROP TABLE IF EXISTS `profiles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `profiles` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL,
  `reqport` int(11) NOT NULL,
  `subport` int(11) NOT NULL,
  `address` varchar(120) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profiles`
--

LOCK TABLES `profiles` WRITE;
/*!40000 ALTER TABLE `profiles` DISABLE KEYS */;
INSERT INTO `profiles` VALUES (1,'Actual',8079,5337,'localhost');
/*!40000 ALTER TABLE `profiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `properties`
--

DROP TABLE IF EXISTS `properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `properties` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(80) NOT NULL,
  `typename` varchar(40) NOT NULL,
  `options` varchar(128) NOT NULL,
  `builtin` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `properties`
--

LOCK TABLES `properties` WRITE;
/*!40000 ALTER TABLE `properties` DISABLE KEYS */;
INSERT INTO `properties` VALUES (2,'Equipment Tag','TAG','',1),(3,'Address','ADDRESS','',1),(9,'Layout','LAYOUT','',1),(12,'Augmented Reality Tag','ARTAG','',1),(13,'Location','LOCATION','',1),(14,'Appearance','MODEL','',1),(15,'Isolation Point','ISOPOINT','',1),(16,'Pressure - Hydraulic','MEASUREMENT','',0),(17,'Pressure - Water','MEASUREMENT','',0),(18,'Pressure - Air','MEASUREMENT','',0),(19,'Flow Rate - Oil','MEASUREMENT','default=|0|0|100|0',0),(20,'Flow Rate - Gas','MEASUREMENT','default=|NL/m|0|200|1',0),(21,'Speed','MEASUREMENT','default=|rpm|0|500|1',0),(24,'SPOT','URL','',0),(25,'Temperature - Oil','MEASUREMENT','default=|Deg C|0|100|1',0),(26,'Temperature - Water','MEASUREMENT','default=|Deg C|0|100|1',0),(27,'Flow Rate - Water','MEASUREMENT','default=|0|0|100|0',0),(28,'Power Usage','MEASUREMENT','default=| A|0|100|0',0),(29,'TUC','MEASUREMENT','default=|%|0|100|0',0),(30,'Duty Run Hours','MEASUREMENT','default=| hrs|0|0|0',0),(31,'Starts','MEASUREMENT','default=||0|0|0',0);
/*!40000 ALTER TABLE `properties` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `relationships`
--

DROP TABLE IF EXISTS `relationships`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `relationships` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(80) NOT NULL,
  `upstreamname` varchar(80) NOT NULL,
  `downstreamname` varchar(80) NOT NULL,
  `flags` int(11) NOT NULL DEFAULT '0',
  `rootasset` bigint(20) NOT NULL,
  `options` varchar(80) NOT NULL,
  `colour` varchar(8) NOT NULL,
  `style` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `relationships`
--

LOCK TABLES `relationships` WRITE;
/*!40000 ALTER TABLE `relationships` DISABLE KEYS */;
INSERT INTO `relationships` VALUES (1,'ISA-88 / IEC 61512-1','Part Of','Contains',0,2,'','',3),(2,'Location','Inside','Contains',0,1,'','',3),(3,'Tagged','Tagged As','Leads To',0,3,'','',2),(4,'Data','Taken From','Fed To',0,0,'','',1),(5,'Control','Controled By','Controls',0,0,'','#ffffff',1),(6,'Monitors','Monitored By','Monitors',0,0,'pass=23,0','#22FF22',0),(7,'Importance','Important To','Has Importance To',0,0,'','',1),(10,'Hydraulic Drain','Drained From','Drains To',0,0,'pass=19,25,16','#a07f0b',0),(11,'Mains Power','Powered By','Powers',0,0,'pass=28','#d480e5',0),(12,'Hydraulic Supply','Supplied By','Supplies',0,0,'pass=25,19,16','#eec920',0),(13,'Cooling Water Supply','Supplied By','Supplies',0,0,'pass=27,26,17','#506df0',0),(14,'Air Supply','Supplied By','Supplies',0,0,'pass=20,18','#30b7ba',0),(15,'Lubricant Supply','Fed From','Feeds',0,0,'pass=19,25','#000000',0);
/*!40000 ALTER TABLE `relationships` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `timeline`
--

DROP TABLE IF EXISTS `timeline`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `timeline` (
  `assetid` bigint(20) NOT NULL,
  `stamp` datetime NOT NULL,
  `source` int(11) NOT NULL,
  `message` varchar(128) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `timeline`
--

LOCK TABLES `timeline` WRITE;
/*!40000 ALTER TABLE `timeline` DISABLE KEYS */;
/*!40000 ALTER TABLE `timeline` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userapi`
--

DROP TABLE IF EXISTS `userapi`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `userapi` (
  `userid` bigint(20) NOT NULL,
  `apicode` varchar(120) NOT NULL,
  `lastaccessed` datetime NOT NULL,
  UNIQUE KEY `apicode` (`apicode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `userapi`
--

LOCK TABLES `userapi` WRITE;
/*!40000 ALTER TABLE `userapi` DISABLE KEYS */;
/*!40000 ALTER TABLE `userapi` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `userdata`
--

DROP TABLE IF EXISTS `userdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `userdata` (
  `userid` bigint(20) NOT NULL,
  `property` varchar(32) NOT NULL,
  `value` varchar(128) NOT NULL,
  UNIQUE KEY `userid` (`userid`,`property`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `userdata`
--

LOCK TABLES `userdata` WRITE;
/*!40000 ALTER TABLE `userdata` DISABLE KEYS */;
INSERT INTO `userdata` VALUES (1,'pins','56:32:measurement'),(1,'recent','114|111|5|117|118|119'),(2,'passexpired','yes');
/*!40000 ALTER TABLE `userdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `userid` bigint(20) NOT NULL AUTO_INCREMENT,
  `username` varchar(80) NOT NULL,
  `token` varchar(120) NOT NULL,
  `email` varchar(80) NOT NULL,
  `source` varchar(60) NOT NULL,
  `pwd` varchar(64) NOT NULL,
  `basegroup` varchar(32) NOT NULL,
  PRIMARY KEY (`userid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'admin','1','darnnonamesleft@gmail.com','local','*69156C3775BC63A03BDF56AD0B48E2BE5DF601DD','Superuser'),(2,'ben','','ben.hammann@snowyhydro.com.au','','*050376F3855A67F5E2C6514FD3130B31006C1276','');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2016-01-27 13:15:43
