-- phpMyAdmin SQL Dump
-- version 4.1.14
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Aug 21, 2015 at 05:34 AM
-- Server version: 5.6.17
-- PHP Version: 5.5.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `dendrobium`
--

-- --------------------------------------------------------

--
-- Table structure for table `alerts`
--

CREATE TABLE IF NOT EXISTS `alerts` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `assetid` bigint(20) NOT NULL,
  `name` varchar(60) NOT NULL,
  `relationship` bigint(20) NOT NULL,
  `description` varchar(128) NOT NULL,
  `media` bigint(20) NOT NULL,
  `state` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `assetid` (`assetid`,`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `ardilog`
--

CREATE TABLE IF NOT EXISTS `ardilog` (
  `stamp` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `area` int(11) NOT NULL DEFAULT '0',
  `id` bigint(20) NOT NULL,
  `content` varchar(128) NOT NULL,
  `userid` bigint(20) NOT NULL,
  KEY `area` (`area`,`id`,`stamp`),
  KEY `stamp` (`stamp`),
  KEY `userid` (`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ardilog`
--

-- --------------------------------------------------------

--
-- Table structure for table `artags`
--

CREATE TABLE IF NOT EXISTS `artags` (
  `id` int(11) NOT NULL,
  `area` varchar(40) NOT NULL,
  `location` varchar(64) NOT NULL,
  PRIMARY KEY (`id`,`area`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `assetrelationships`
--

CREATE TABLE IF NOT EXISTS `assetrelationships` (
  `parentasset` bigint(20) NOT NULL,
  `childasset` bigint(20) NOT NULL,
  `relationship` bigint(20) NOT NULL,
  PRIMARY KEY (`parentasset`,`childasset`,`relationship`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `assetrelationships`
--

INSERT INTO `assetrelationships` (`parentasset`, `childasset`, `relationship`) VALUES
(1, 5, 2),
(2, 5, 1);

-- --------------------------------------------------------

--
-- Table structure for table `assetrelclosures`
--

CREATE TABLE IF NOT EXISTS `assetrelclosures` (
  `parentasset` bigint(20) NOT NULL,
  `childasset` bigint(20) NOT NULL,
  `depth` int(11) NOT NULL,
  `relationship` bigint(20) NOT NULL,
  PRIMARY KEY (`parentasset`,`childasset`,`depth`,`relationship`),
  KEY `childasset` (`childasset`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `assetrelclosures`
--

INSERT INTO `assetrelclosures` (`parentasset`, `childasset`, `depth`, `relationship`) VALUES
(1, 5, 0, 2),
(2, 5, 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `assets`
--

CREATE TABLE IF NOT EXISTS `assets` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(120) NOT NULL,
  `descript` text NOT NULL,
  `type` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `assets`
--

INSERT INTO `assets` (`id`, `name`, `descript`, `type`) VALUES
(1, 'Location', 'The basepoint of your Location heirachy', 2),
(2, 'IEC', 'The basepoint of your IEC heirachy', 2),
(3, 'Tags', 'The basepoint of the Tagging hierarchy', 2),
(5, 'Site', 'Your Site', 0);

-- --------------------------------------------------------

--
-- Table structure for table `assetvalues`
--

CREATE TABLE IF NOT EXISTS `assetvalues` (
  `assetid` int(11) NOT NULL,
  `propertyid` int(11) NOT NULL,
  `value` varchar(120) NOT NULL,
  PRIMARY KEY (`assetid`,`propertyid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `assetvalues`
--

INSERT INTO `assetvalues` (`assetid`, `propertyid`, `value`) VALUES
(5, 3, '6 Waverley Drive, NSW, Australia');

-- --------------------------------------------------------

--
-- Table structure for table `connections`
--

CREATE TABLE IF NOT EXISTS `connections` (
  `fromasset` bigint(20) NOT NULL,
  `toasset` bigint(20) NOT NULL,
  `startpoint` varchar(32) NOT NULL,
  `endpoint` varchar(32) NOT NULL,
  `points` varchar(255) NOT NULL,
  `style` int(11) NOT NULL,
  `options` varchar(80) NOT NULL,
  PRIMARY KEY (`fromasset`,`toasset`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `datadriver`
--

CREATE TABLE IF NOT EXISTS `datadriver` (
  `port` int(11) NOT NULL,
  `name` varchar(60) NOT NULL,
  `driver` varchar(60) NOT NULL,
  `address` varchar(80) NOT NULL,
  PRIMARY KEY (`port`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `datadriver`
--

INSERT INTO `datadriver` (`port`, `name`, `driver`, `address`) VALUES
(9555, 'Simulated Live', 'sim', 'localhost'),
(9556, 'Simulated Historian', 'hist_sim', 'localhost');

-- --------------------------------------------------------

--
-- Table structure for table `datalinks`
--

CREATE TABLE IF NOT EXISTS `datalinks` (
  `sourceid` bigint(20) NOT NULL,
  `assetid` bigint(20) NOT NULL,
  `propertyid` bigint(20) NOT NULL,
  `node` varchar(40) NOT NULL,
  `mode` smallint(6) NOT NULL,
  `address` varchar(255) NOT NULL,
  `transform` varchar(255) NOT NULL,
  `lastupdate` datetime NOT NULL,
  `frequency` int(11) NOT NULL,
  `lastvalue` varchar(60) NOT NULL,
  `updaterequired` int(11) NOT NULL,
  PRIMARY KEY (`assetid`,`sourceid`,`propertyid`,`node`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `datasources`
--

CREATE TABLE IF NOT EXISTS `datasources` (
  `assetid` bigint(20) NOT NULL,
  `driver` varchar(60) NOT NULL,
  `address` varchar(120) NOT NULL,
  `lastwd` datetime NOT NULL,
  `gatewayport` int(11) NOT NULL,
  `mode` int(11) NOT NULL DEFAULT '0',
  `profile` int(11) NOT NULL DEFAULT '1',
  `samplerate` int(11) NOT NULL DEFAULT '30',
  PRIMARY KEY (`assetid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------


CREATE TABLE IF NOT EXISTS `profiles` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `profiles`
--

INSERT INTO `profiles` (`id`, `name`) VALUES
(1, 'Actual');

-- --------------------------------------------------------

--
-- Table structure for table `links`
--

CREATE TABLE IF NOT EXISTS `links` (
  `relationshipid` int(11) NOT NULL,
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `anchor` varchar(32) NOT NULL,
  `pos` varchar(32) NOT NULL,
  `nextid` bigint(20) NOT NULL,
  `previd` bigint(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `mediafiles`
--

CREATE TABLE IF NOT EXISTS `mediafiles` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL,
  `category` varchar(60) NOT NULL,
  `path` varchar(120) NOT NULL,
  `mediatype` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `mediatags`
--

CREATE TABLE IF NOT EXISTS `mediatags` (
  `mediaid` bigint(20) NOT NULL,
  `assetid` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `models`
--

CREATE TABLE IF NOT EXISTS `models` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `category` varchar(60) NOT NULL,
  `type` varchar(80) NOT NULL,
  `style` varchar(80) NOT NULL,
  `model` varchar(80) NOT NULL,
  `obj` varchar(80) NOT NULL,
  `jpg` varchar(80) NOT NULL,
  `svgfile` varchar(60) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `Uniquness` (`type`,`style`,`model`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `models`
--

INSERT INTO `models` (`id`, `category`, `type`, `style`, `model`, `obj`, `jpg`, `svgfile`) VALUES
(1, 'Piping & Valving', 'Accumulator/Receiver', 'Generic', 'Hydraulic', '/media/models/receiver/Hydraulic Receiver.obj', '', '/media/models/receiver/receiver.svg'),
(2, 'Instruments', 'Flow', 'Magnetic', 'Wafer Mount', '', '', ''),
(3, 'Instruments', 'Pressure', 'Transmitter', 'Body Mounted', '/media/models/ptx/EJXBasic.obj', '', ''),
(4, 'Instruments', 'Pressure', 'Transmitter', 'Direct Mounted', '/media/models/ptx/EJXBasic.obj', '', ''),
(5, 'Piping & Valving', 'Isolation Valve', 'Right Angle', 'Wheeled', '/media/models/isovalve/rightangle/wheeled/object.obj', '', '\\media\\models\\isovalve\\isovalve.svg'),
(6, 'Piping & Valving', 'Isolation Valve', 'Manifold', '3 Valve', '/media/models/isovalve/manifold/3port.obj', '', '\\media\\models\\isovalve\\isovalve.svg'),
(7, 'Piping & Valving', 'Isolation Valve', 'Manifold', '2 Valve', '/media/models/isovalve/manifold/2port.obj', '', '\\media\\models\\isovalve\\isovalve.svg'),
(8, 'Piping & Valving', 'Isolation Valve', 'Manifold', '3 Valve (Angled)', '/media/models/isovalve/manifold/3portangled.obj', '', '\\media\\models\\isovalve\\isovalve.svg'),
(9, 'Piping & Valving', 'Hydraulic', 'Pump', 'Flange-Mounted', '/media/models/pump/hydro/onflange.obj', '', '\\media\\models\\pump\\pump.svg'),
(10, 'DIN-Rail Equipment', 'Power Supplies', 'Small', 'Raised Front', '/media/models/din/supplies/small.obj', '', ''),
(11, 'DIN-Rail Equipment', 'Remote IO', 'Modular', 'Quarter Full', '/media/models/din/modular/quarterfull.obj', '', ''),
(12, 'HVAC', 'Controllers', 'Control Panel', 'Small Wall Plate', '/media/models/hvac/panel.obj', '', ''),
(13, 'Enclosures', 'Wall Mount', 'Shallow', 'Wide', '/media/models/enclosure/widethin.obj', '', ''),
(14, 'Network', 'Network Switch', 'Rack-Mount', 'Ethernet', '/media/models/network/switch.obj', '', ''),
(15, 'Instruments', 'Temperature', 'Transmitter', 'Insertion - M12', '/media/models/sensor/temp/insert/m12.obj', '', ''),
(16, 'Power', 'Wall Mounted', 'Household Socket', 'Double', '/media/models/power/sockets/wallsocket.obj', '', ''),
(17, 'Symbols', 'Shapes', 'Simple', 'Sphere', '/media/models/primitives/sphere.obj', '', ''),
(18, 'Symbols', 'Shapes', 'Simple', 'Cube', '/media/models/primitives/cube.obj', '', ''),
(19, 'Panel-Mount Equipment', 'Meter', 'Power Meter', 'Thin Bezel', '/media/models/panelmount/thinbezeldisplay.obj', '', ''),
(20, 'DIN-Rail Equipment', 'Switches', 'Isolators', 'Raised Front', '/media/models/din/relays/switch.obj', '', ''),
(21, 'Household', 'Kitchen', 'Dishwasher', 'Standard', '/media/models/household/kitchen/dishwasher.obj', '', ''),
(22, 'Enclosures', 'Wall Mount', 'Square', 'Basic', '/media/models/enclosure/simplesquare.obj', '', ''),
(23, 'Panel-Mount Equipment', 'Electrical', 'Isolators', 'Basic Rotary', '/media/models/panelmount/electrical/isolators/basicrotary.obj', '', ''),
(24, 'Panel-Mount Equipment', 'Panel-Mount Equipment', 'Isolators', 'Basic Rotary with Base', '/media/models/panelmount/electrical/isolators/basicrotarybase.obj', '', ''),
(25, 'HVAC', 'Air Conditioning', 'Outdoor', 'Small', '/media/models/hvac/outdoorunit.obj', '', ''),
(26, 'Symbols', 'Shapes', 'People', 'Basic', '/media/models/primitives/human.obj', '', ''),
(27, 'Symbols', 'Shapes', 'People', 'High Quality', '/media/models/primitives/human_hq.obj', '', ''),
(28, 'Network', 'Wi-Fi', 'Access Point', 'Subtle', '/media/models/network/unifiap.obj', '', '');

-- --------------------------------------------------------

--
-- Table structure for table `modelskins`
--

CREATE TABLE IF NOT EXISTS `modelskins` (
  `modelid` bigint(20) NOT NULL,
  `name` varchar(48) NOT NULL,
  `skinid` bigint(20) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`skinid`),
  UNIQUE KEY `modelid` (`modelid`,`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `modelskins`
--

INSERT INTO `modelskins` (`modelid`, `name`, `skinid`) VALUES
(0, 'Painted - Gloss', 4),
(0, 'Painted - Matt', 2),
(0, 'Painted - Semi-Gloss', 3),
(0, 'Stainless - Bright', 6),
(0, 'Stainless - Rough', 5),
(5, 'Striped Steel', 1),
(10, 'Weidmuller Power Supply', 11),
(12, 'Accent Air', 7),
(15, 'Plastic Base, Metal Sensor', 8),
(16, 'Double Wall Socket', 9),
(16, 'Single Wall Socket', 10),
(19, 'Janitza UMG96RM Power Monitor', 12),
(20, 'Schneider 3-Terminal Circuit Breaker', 17),
(21, 'Coloured', 14),
(21, 'Stainless Steel', 13),
(22, 'Brushed Aluminium/Steel', 15),
(22, 'Painted Metal', 16),
(23, 'Red Indicator', 18),
(25, 'Mitsubishi Basic Unit', 19);

-- --------------------------------------------------------

--
-- Table structure for table `module_zeroenergy`
--

CREATE TABLE IF NOT EXISTS `module_zeroenergy` (
  `propertyid` bigint(20) NOT NULL,
  `enabled` int(11) NOT NULL,
  `threshold` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `properties`
--

CREATE TABLE IF NOT EXISTS `properties` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(80) NOT NULL,
  `typename` varchar(40) NOT NULL,
  `options` varchar(128) NOT NULL,
  `builtin` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `properties`
--

INSERT INTO `properties` (`id`, `name`, `typename`, `options`, `builtin`) VALUES
(2, 'Equipment Tag', 'TAG', '', 1),
(3, 'Address', 'ADDRESS', '', 1),
(9, 'Layout', 'LAYOUT', '', 1),
(12, 'Augmented Reality Tag', 'ARTAG', '', 1),
(13, 'Location', 'LOCATION', '', 1),
(14, 'Appearance', 'MODEL', '', 1),
(15, 'Isolation Point', 'ISOPOINT', '', 1);

-- --------------------------------------------------------

--
-- Table structure for table `relationships`
--

CREATE TABLE IF NOT EXISTS `relationships` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(80) NOT NULL,
  `upstreamname` varchar(80) NOT NULL,
  `downstreamname` varchar(80) NOT NULL,
  `flags` int(11) NOT NULL DEFAULT '0',
  `rootasset` bigint(20) NOT NULL,
  `options` varchar(80) NOT NULL,
  `colour` varchar(8) NOT NULL,
  `style` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `relationships`
--

INSERT INTO `relationships` (`id`, `name`, `upstreamname`, `downstreamname`, `flags`, `rootasset`, `options`, `colour`, `style`) VALUES
(1, 'ISA-88 / IEC 61512-1', 'Part Of', 'Contains', 0, 2, '', '', 3),
(2, 'Location', 'Inside', 'Contains', 0, 1, '', '', 3),
(3, 'Tagged', 'Tagged As', 'Leads To', 0, 3, '', '', 2),
(4, 'Data', 'Taken From', 'Fed To', 0, 0, '', '', 1),
(5, 'Control', 'Controled By', 'Controls', 0, 0, '', '#ffffff', 1),
(6, 'Monitors', 'Monitored By', 'Monitors', 0, 0, 'pass=0', '#22FF22', 0);

-- --------------------------------------------------------

--
-- Table structure for table `timeline`
--

CREATE TABLE IF NOT EXISTS `timeline` (
  `assetid` bigint(20) NOT NULL,
  `stamp` datetime NOT NULL,
  `source` int(11) NOT NULL,
  `message` varchar(128) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `userapi`
--

CREATE TABLE IF NOT EXISTS `userapi` (
  `userid` bigint(20) NOT NULL,
  `apicode` varchar(120) NOT NULL,
  `lastaccessed` datetime NOT NULL,
  UNIQUE KEY `apicode` (`apicode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `userdata`
--

CREATE TABLE IF NOT EXISTS `userdata` (
  `userid` bigint(20) NOT NULL,
  `property` varchar(32) NOT NULL,
  `value` varchar(128) NOT NULL,
  UNIQUE KEY `userid` (`userid`,`property`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `userdata`
--

INSERT INTO `userdata` (`userid`, `property`, `value`) VALUES
(1, 'pins', '56:32:measurement'),
(1, 'recent', '114|111|5|117|118|119');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `userid` bigint(20) NOT NULL AUTO_INCREMENT,
  `username` varchar(80) NOT NULL,
  `token` varchar(120) NOT NULL,
  `email` varchar(80) NOT NULL,
  `source` varchar(60) NOT NULL,
  `pwd` varchar(64) NOT NULL,
  `basegroup` varchar(32) NOT NULL,
  PRIMARY KEY (`userid`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`userid`, `username`, `token`, `email`, `source`, `pwd`, `basegroup`) VALUES
(1, 'admin', '1', 'darnnonamesleft@gmail.com', 'local', '*69156C3775BC63A03BDF56AD0B48E2BE5DF601DD', 'Superuser');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
